
%define name	input-utils
%define version	0
%define svnrev	2401
%define rel	3

%define release	%mkrel 1.svn%svnrev.%rel

Summary:	Linux input utilities
Name:		%name
Version:	%version
Release:	%release
Group:		System/Kernel and hardware
URL:		http://linuxconsole.sourceforge.net/
# http://linuxconsole.svn.sourceforge.net/viewvc/linuxconsole/trunk/utils/
Source:		%name-%svnrev.tar.bz2
Source1:	jscal.1
Source2:	jstest.1
Patch0:		joystick-1.2.15-dont-exit-when-wrong-version.patch
License:	GPLv2+
BuildRequires:	SDL-devel
Obsoletes:	joystick
Provides:	joystick
BuildRoot:	%{_tmppath}/%{name}-root

%description
Userspace utilities for input devices:
- evtest: test event device
- ffcfstress: stress test constant force
- ffmvforce: test constant force with SDL window
- ffset: set force feedback options
- fftest: test force feedback
- inputattach: attach a serial line to an input device
- jscal: calibrate joystick
- jstest: test joystick device

%prep
%setup -q -n input-utils-%{svnrev}
%patch0 -p0 -b .version

cp %SOURCE1 %SOURCE2 .

%build
%make CFLAGS="%optflags" CC="gcc %{ldflags}"

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{_bindir}
install -m755 evtest inputattach jstest jscal fftest ffmvforce ffset \
	ffcfstress %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_mandir}/man1
install -m644 jscal.1 jstest.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/jscal.1*
%{_mandir}/man1/jstest.1*






%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0-1.svn2401.3.mga4
+ Revision: 506041
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0-1.svn2401.2.mga3
+ Revision: 354416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 anssi <anssi> 0-1.svn2401.1.mga1
+ Revision: 20152
- new snapshot
- use ldflags
- clarify license
- imported package input-utils


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0-0.20061008.4mdv2011.0
+ Revision: 612398
- the mass rebuild of 2010.1 packages

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 0-0.20061008.3mdv2010.1
+ Revision: 437961
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0-0.20061008.2mdv2009.1
+ Revision: 350285
- 2009.1 rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0-0.20061008.1mdv2009.0
+ Revision: 140776
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0-0.20061008.1mdv2008.1
+ Revision: 127072
- kill re-definition of %%buildroot on Pixel's request


* Fri Nov 03 2006 Anssi Hannula <anssi@mandriva.org> 0-0.20061008.1mdv2007.0
+ Revision: 76370
- Import input-utils

